NX Open C++ Reference Guide
List of all members
NXOpen::CAE::MeshMate Class Reference

Represents a Mesh Mate. More...

Inheritance diagram for NXOpen::CAE::MeshMate:
NXOpen::CAE::MeshControl NXOpen::DisplayableObject NXOpen::NXObject NXOpen::IFitTo NXOpen::TaggedObject NXOpen::INXObject NXOpen::INXObject

Additional Inherited Members

- Public Types inherited from NXOpen::DisplayableObject
enum  ObjectFont {
  ObjectFontSolid = 1, ObjectFontDashed, ObjectFontPhantom, ObjectFontCenterline,
  ObjectFontDotted, ObjectFontLongDashed, ObjectFontDottedDashed
}
 specifies the object font for objects such as lines
Created in NX3.0.0. More...
 
enum  ObjectWidth {
  ObjectWidthNormal, ObjectWidthThick, ObjectWidthThin, ObjectWidthOne = 5,
  ObjectWidthTwo, ObjectWidthThree, ObjectWidthFour, ObjectWidthFive,
  ObjectWidthSix, ObjectWidthSeven, ObjectWidthEight, ObjectWidthNine
}
 specifies object width for objects such as lines and text
Created in NX3.0.0. More...
 
- Public Member Functions inherited from NXOpen::DisplayableObject
void Blank ()
 Blanks the object. More...
 
int Color ()
 Returns the color of the object. More...
 
void Highlight ()
 Highlights the object. More...
 
bool IsBlanked ()
 Returns the blank status of this object. More...
 
int Layer ()
 Returns the layer that the object is in. More...
 
NXOpen::DisplayableObject::ObjectFont LineFont ()
 Returns the line font of the object. More...
 
NXOpen::DisplayableObject::ObjectWidth LineWidth ()
 Returns the line width of the object. More...
 
NXOpen::Point3d NameLocation ()
 Returns the location of the object's name. More...
 
void RedisplayObject ()
 Redisplays the object in all views. More...
 
void RemoveViewDependency ()
 Remove dependency on all views from an object. More...
 
void SetColor (int color)
 Sets the color of the object. More...
 
void SetLayer (int layer)
 Sets the layer that the object is in. More...
 
void SetLineFont (NXOpen::DisplayableObject::ObjectFont font)
 Sets the line font of the object. More...
 
void SetLineWidth (NXOpen::DisplayableObject::ObjectWidth width)
 Sets the line width of the object. More...
 
void SetNameLocation (const NXOpen::Point3d &location)
 Sets the location of the object's name. More...
 
void Unblank ()
 Unblanks the object. More...
 
void Unhighlight ()
 Unhighlights the object. More...
 

Detailed Description

Represents a Mesh Mate.


Created in NX5.0.0.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.